declare type TAttendance = {
  _id: string;
  teamMember: string;
  checkIn?: string;
  checkOut?: string;
  totalHours?: string;
  createdAt: string;
  updatedAt: string;
};

declare type TAttendanceCheckIn = {
  checkIn: {
    timestamp: string;
    location: TAttendanceLocation;
    img?: string;
  };
};

declare type TAttendanceCheckOut = {
  checkOut: {
    timestamp: string;
    location: TAttendanceLocation;
    img?: string;
  };
};

declare type TAttendanceLocation = {
  latitude: number;
  longitude: number;
};

declare type TAttendanceSettings = {
  site: string;
  isLocationEnabled: boolean;
  location?: TAttendanceLocation;
  isGeofencingEnabled?: boolean;
  mile?: number;
};
